"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const testing_1 = require("@angular-devkit/schematics/testing");
const path = require("path");
const packagePath = '/package.json';
const collectionPath = path.join(__dirname, '../../migration.json');
const packageJsonAfterMigration = (packgeJsonRawContent) => {
    const emptyTree = schematics_1.Tree.empty();
    const runner = new testing_1.SchematicTestRunner('schematics', collectionPath);
    emptyTree.create(packagePath, packgeJsonRawContent);
    const updatedTree = runner.runSchematic('migration-03', {}, emptyTree);
    return JSON.parse(updatedTree.readContent(packagePath));
};
describe('update to version >= 2', () => {
    it('should update dependencies in package.json', () => {
        const beforeMigration = `{
      "dependencies": {
        "ngx-semantic-version": "1.2.1"
      }
    }`;
        const pkg = packageJsonAfterMigration(beforeMigration);
        const { dependencies } = pkg;
        expect(dependencies['ngx-semantic-version']).toBeUndefined;
    });
});
//# sourceMappingURL=index_spec.js.map